package com.mortals.xhx.module.window.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.vo.WindowBusinessVo;
/**
* 窗口业务实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class WindowBusinessEntity extends WindowBusinessVo {
    private static final long serialVersionUID = 1L;

    /**
    * 窗口id
    */
    private Long windowId;
    /**
    * 窗口名称
    */
    private String windowName;
    /**
    * 业务ID
    */
    private Long businessId;
    /**
    * 业务名称
    */
    private String businessName;



    public WindowBusinessEntity(){}
    /**
    * 获取 窗口id
    * @return Long
    */
    public Long getWindowId(){
        return windowId;
    }
    /**
    * 设置 窗口id
    * @param windowId
    */
    public void setWindowId(Long windowId){
        this.windowId = windowId;
    }
    /**
    * 获取 窗口名称
    * @return String
    */
    public String getWindowName(){
        return windowName;
    }
    /**
    * 设置 窗口名称
    * @param windowName
    */
    public void setWindowName(String windowName){
        this.windowName = windowName;
    }
    /**
    * 获取 业务ID
    * @return Long
    */
    public Long getBusinessId(){
        return businessId;
    }
    /**
    * 设置 业务ID
    * @param businessId
    */
    public void setBusinessId(Long businessId){
        this.businessId = businessId;
    }
    /**
    * 获取 业务名称
    * @return String
    */
    public String getBusinessName(){
        return businessName;
    }
    /**
    * 设置 业务名称
    * @param businessName
    */
    public void setBusinessName(String businessName){
        this.businessName = businessName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WindowBusinessEntity) {
            WindowBusinessEntity tmp = (WindowBusinessEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",windowId:").append(getWindowId());
        sb.append(",windowName:").append(getWindowName());
        sb.append(",businessId:").append(getBusinessId());
        sb.append(",businessName:").append(getBusinessName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.windowId = null;

            this.windowName = null;

            this.businessId = null;

            this.businessName = null;
    }
}